# Table of contents

## 🎓 Overview

* [About](README.md)
* [Features](overview/features.md)
* [Getting started](overview/getting-started.md)

## 🛣 Project

* [Code of Conduct](project/code-of-conduct.md)
* [Roadmap](project/roadmap.md)

## 🛠 Development

* [Contributing](development/contributing.md)
* [Building](development/building/README.md)
  * [Prerequisites](development/building/prerequisites.md)
  * [WIP: Setting up git](development/building/wip-setting-up-git.md)
  * [With Docker](development/building/with-docker.md)
  * [Without Docker](development/building/without-docker.md)
  * [WIP: Testing](development/building/wip-testing.md)

## 👷♂ Configuration

* [Configuration](configuration/configuration/README.md)
  * [Required ACLs](configuration/configuration/required-acls.md)
  * [Complex configuration examples](configuration/configuration/complex-configuration-examples/README.md)
    * [Kraft mode + multiple brokers](configuration/configuration/complex-configuration-examples/kraft-mode-+-multiple-brokers.md)
* [SSL](configuration/ssl.md)
* [Authentication](configuration/authentication/README.md)
  * [OAuth2](configuration/authentication/oauth2.md)
  * [AWS IAM](configuration/authentication/aws-iam.md)
  * [SSO Guide](configuration/authentication/sso-guide.md)
  * [SASL\_SCRAM](configuration/authentication/sasl\_scram.md)
* [RBAC (Role based access control)](configuration/rbac-role-based-access-control.md)
* [Data masking](configuration/data-masking.md)
* [Serialization / SerDe](configuration/serialization-serde.md)
* [Protobuf setup](configuration/protobuf-setup.md)

## ❓ FAQ

* [Common problems](faq/common-problems.md)
* [FAQ](faq/faq.md)
